NeuralRevNeuralRevDocs
API Reference

Facilities

Create or update facility records via the Integration API.

Create or update facility (service location) records.

Upsert Facility

POST /integration/facilities

Creates or updates a facility by id.

Request Body

FieldTypeRequiredDescription
idstringYesYour unique identifier for this facility
namestringYesFacility name
npistringNoFacility NPI (10 digits)
facility_typestringNoType of facility (see values below)
phonestringNoPhone number
faxstringNoFax number
emailstringNoContact email
tax_idstringNoFederal Tax ID (EIN)
clia_numberstringNoCLIA certification number (for labs)
address_line_1stringNoStreet address
address_line_2stringNoAddress line 2
citystringNoCity
statestringNoState code
zip_codestringNoZIP code
countrystringNoCountry code (default: US)

Facility Types

ValueDescription
hospitalHospital / inpatient facility
clinicOutpatient clinic
ambulatory_surgery_centerASC
skilled_nursing_facilitySNF
laboratoryClinical laboratory
pharmacyPharmacy
home_healthHome health agency
telehealthTelehealth/virtual
otherOther facility type

Example Request

curl -X POST https://api.neuralrev.ai/integration/facilities \
  -H "x-api-key: nrev_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "FAC-001",
    "name": "Springfield Medical Center",
    "npi": "9876543210",
    "facility_type": "hospital",
    "phone": "5550200100",
    "fax": "5550200101",
    "email": "admin@springfield-medical.example.com",
    "tax_id": "12-3456789",
    "clia_number": "IL1234567",
    "address_line_1": "456 Health Ave",
    "city": "Springfield",
    "state": "IL",
    "zip_code": "62702"
  }'

Response

200 OK — Facility upserted successfully:

{
  "success": true,
  "message": "Facility upserted successfully"
}

Notes

  • The facility NPI is the organizational NPI (Type 2), distinct from individual provider NPIs (Type 1).
  • The clia_number is required for facilities that perform laboratory testing.
  • The tax_id (EIN) is required for claim submission.
  • Reference facilities in encounters using the same id you assigned here.

On this page